---
title: "Fill in the blank"
url: "https://developer.kong-sales-engineering.com/apis/kong-gpt/versions/7cdae724-17c9-4c8b-b7b1-c60303c1a31e/operations/promptTemplate"
---

> Full API specification: https://developer.kong-sales-engineering.com/apis/kong-gpt/versions/7cdae724-17c9-4c8b-b7b1-c60303c1a31e.md

# Fill in the blank

`POST` `/chat/template`

Operation ID: `promptTemplate`

Use tuned AI prompts as a service

## Header parameters

- `X-LLM` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Successful response
- `400` - Bad request
- `500` - Server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Kong AI Gateway API
  version: 1.0.0
servers:
  - url: https://shared-services.kong-sales-engineering.com/portal/kongai
  - url: https://shared-services-hybrid.kong-sales-engineering.com/portal/kongai
paths:
  /chat/template:
    post:
      operationId: promptTemplate
      tags:
        - Template
      summary: Fill in the blank
      description: Use tuned AI prompts as a service
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                properties:
                  type: object
              required:
                - prompt
            examples:
              historian:
                value:
                  prompt: "{template://historian}"
                  properties:
                    event: Fall of the Roman Empire
              programmer:
                value:
                  prompt: "{template://programmer}"
                  properties:
                    language: Golang
                    program: Main function
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: string
        "400":
          description: Bad request
        "500":
          description: Server error
      parameters:
        - name: X-LLM
          in: header
          required: true
          schema:
            type: string
            enum:
              - openai
              - azure
              - cohere
security:
  - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
```
